#include "cbase.h"
#include "monstermaker.h"
#include "sp2_bugpoi.h"
// memdbgon must be the last include file in a .cpp file!!!
#include "tier0/memdbgon.h"

LINK_ENTITY_TO_CLASS( sp2_bugpoi, BugPOI );

// Describe the data fields for the brain bug
BEGIN_DATADESC( BugPOI )
	// For save/load
	DEFINE_FIELD( m_sObjectiveName, FIELD_STRING ),
	DEFINE_FIELD( m_sObjectiveDescription, FIELD_STRING ),
	DEFINE_FIELD( m_nTypeOfPOI, FIELD_INTEGER ),
	DEFINE_FIELD( m_nThreshold, FIELD_INTEGER ),
	DEFINE_FIELD( m_flSpawnRadius, FIELD_FLOAT ),
	DEFINE_FIELD( m_sDestinationPOI, FIELD_STRING ),

	// Links our member variable to our keyvalue from Hammer
	DEFINE_KEYFIELD( m_sObjectiveName, FIELD_STRING, "objectiveName" ),
	DEFINE_KEYFIELD( m_sObjectiveDescription, FIELD_STRING, "objectiveDescription" ),
	DEFINE_KEYFIELD( m_nThreshold, FIELD_INTEGER, "threshold" ),
	DEFINE_KEYFIELD( m_sDestinationPOI, FIELD_STRING, "destinationPOI" ),
	// This must be 0 or 1, enums don't translate directly into FGD-speak, but this should be POIType (choice)
	DEFINE_KEYFIELD( m_nTypeOfPOI, FIELD_INTEGER, "typeOfPOI" ),
	DEFINE_KEYFIELD( m_flSpawnRadius, FIELD_FLOAT, "spawnRadius" ),

END_DATADESC()
