#include "cbase.h"
#include "ai_network.h"
#include "ai_networkmanager.h"
#include "sdk_fadingnodeweight.h"
// memdbgon must be the last include file in a .cpp file!!!
#include "tier0/memdbgon.h"

ConVar nodeweight_fade_per_update( "nodeweight_fade_per_update", "1.0");
ConVar nodeweight_fade_factor( "nodeweight_fade_factor", "1.0");

LINK_ENTITY_TO_CLASS( sdk_fadingnodeweight, CFadingNodeWeight );

// Start of our data description for the class
BEGIN_DATADESC( CFadingNodeWeight )
	
END_DATADESC()

// Updates the weights over time
void CFadingNodeWeight::Update()
{
	Vector fadeVector = Vector(1, 1, 1) * nodeweight_fade_per_update.GetFloat();
	for(int i=CurrentWeights.Count()-1;i>=0;i--) 
	{
		Vector newValue = CurrentWeights[i] * nodeweight_fade_factor.GetFloat();
		newValue -= fadeVector;
		if(newValue.x < 0.0)
			newValue.x = 0.0;
		if(newValue.y < 0.0)
			newValue.y = 0.0;
		if(newValue.z < 0.0)
			newValue.z = 0.0;
		CurrentWeights[i] = newValue; 
	}
}
