//========= Copyright  1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: Game rules for Half-Life 2.
//
//=============================================================================//

#ifndef OUR_GAMERULES_H
#define OUR_GAMERULES_H
#ifdef _WIN32
#pragma once
#endif

#include "hl2_gamerules.h"

#ifdef CLIENT_DLL
	#define COurHalfLife2 C_OurHalfLife2
	#define COurHalfLife2Proxy C_OurHalfLife2Proxy
#endif


class COurHalfLife2Proxy : public CHalfLife2Proxy
{
public:
	DECLARE_CLASS( COurHalfLife2Proxy, CHalfLife2Proxy );
	DECLARE_NETWORKCLASS();
};


class COurHalfLife2 : public CHalfLife2
{
public:
	DECLARE_CLASS( COurHalfLife2, CHalfLife2 );


private:
#ifdef CLIENT_DLL

	DECLARE_CLIENTCLASS_NOBASE(); // This makes datatables able to access our private vars.

#else

	DECLARE_SERVERCLASS_NOBASE(); // This makes datatables able to access our private vars.

	COurHalfLife2();
	virtual ~COurHalfLife2();

#endif
};


//-----------------------------------------------------------------------------
// Gets us at the Half-Life 2 game rules
//-----------------------------------------------------------------------------
inline COurHalfLife2* OurHL2GameRules()
{
	return static_cast<COurHalfLife2*>(g_pGameRules);
}

extern ConVar sp2_objective_name;
extern ConVar sp2_objective_desc;
extern ConVar sp2_objective_max_lives;
extern ConVar sp2_objective_lives_taken;


#endif // OUR_GAMERULES_H
